from parallels.core.utils.entity import Entity


class WebUser(Entity):
    def __init__(self, web_user_id, domain_id, sys_user_id):
        self._web_user_id = web_user_id
        self._domain_id = domain_id
        self._sys_user_id = sys_user_id

    @property
    def web_user_id(self):
        """
        :rtype: str | unicode
        """
        return self._web_user_id

    @property
    def domain_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_id

    @property
    def sys_user_id(self):
        """
        :rtype: str | unicode
        """
        return self._sys_user_id
